::selection {
	background: #1980ff;
	color: #ffffff;
}
* {
	-webkit-tap-highlight-color: transparent;
}

html {
	scroll-behavior: smooth;
}
body {
	margin: 0;
	background: linear-gradient(to bottom, #e6f2ff80, #e6f2ff90);
	font-family: "Montserrat";
	font-weight: 550;
	position: relative;
}
.loading-bg {
	width: 100vw;
	height: 100vh;
	background: linear-gradient(to bottom, #ffffff, #ffffff);
	position: fixed;
	z-index: 99999;
	align-items: center;
	justify-content: center;
}
.loading-animation {
	display: flex;
}
.loading {
	width: 32px;
	height: 32px;
	border: 5px solid transparent;
	border-top-color: #2ab4ff;
	border-radius: 50%;
	animation: spin 1s linear infinite;
}
h1,
h2,
h3,
h4,
h5,
h6 {
	color: #1a1a1a;
	margin: 0;
}
p {
	color: #2e2e2e;
	font-size: 14px;
}
.bg {
	position: absolute;
	display: inline-block;
	width: 200px;
	height: 200px;
	border-radius: 500px;
	background: #2ab4ff90;
	filter: blur(200px);
	z-index: -1;
}
.head {
	position: sticky;
	top: 0;
	background: transparent;
	box-shadow:
		1px 1px 2px #dddddd,
		-1px -1px 2px #dddddd;
	backdrop-filter: blur(2px);
	z-index: 999;
	transition: 0.5s ease;
}
header {
	max-width: 1200px;
	margin: 0 auto;
	padding: 1rem;
	font-family: Poppins;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.logo h1 i {
	font-size: 1.25rem;
}
h1 {
	margin: 0;
	display: flex;
	gap: 10px;
	align-items: center;
	font-size: 1.5rem;
	font-weight: 800;
	color: #2a2a2a;
}

.hamburger {
	display: flex;
	flex-direction: column;
	gap: 5px;
	position: relative;
}
.hamburger span {
	width: 32px;
	height: 5px;
	background: #2a2a2a;
	border-radius: 2px;
}
.hamburger span:nth-child(1) {
	width: 32px;
	top: -10px;
	right: 0;
	position: relative;
	display: block;
}
.hamburger span:nth-child(2) {
	width: 20px;
	top: 0px;
	right: 0;
	position: absolute;
	display: block;
}
.hamburger span:nth-child(3) {
	width: 32px;
	top: 10px;
	right: 0;
	position: absolute;
	display: block;
}
#hamburgerLine2,
#hamburgerLine3 {
	transition: 0.3s ease;
}
.navPc {
	display: flex;
	gap: 10px;
}
.navPc h4 {
	display: inline-block;
	position: relative;
	color: #1a1a1a;
	background-image: linear-gradient(to left, #1a1a1a 50%, #2ab4ff 50%);
	background-size: 200% 100%;
	background-position: 100% 0;
	-webkit-background-clip: text;
	background-clip: text;
	color: transparent;
	transition: background-position 0.5s ease;
	cursor: pointer;
}

.navPc h4:hover {
	background-position: 0 0;
}

.container {
	min-height: 50vh;
	max-width: 1200px;
	margin: 0 auto;
}
.box {
	margin: 1rem;
	justify-content: center;
	align-content: center;
	letter-spacing: 0px;
}
.box p {
  letter-spacing: 0.5px;
	font-size: 14px;
	font-weight: 700;
	color: #4a4a4a;
}
.bgNavMobile {
	display: none;
	position: fixed;
	top: 0;
	margin: -1rem;
	width: 100vw;
	height: 110vh;
	background: #2f2f2f70;
	transition: 0.8s ease;
	z-index: 998;
}
.navMobile {
	position: fixed;
	width: 150px;
	height: 100vh;
	background: #fafafa;
	right: -250px;
	top: 4.3rem;
	padding: 1rem;
	transition: 0.5s ease;
	z-index: 1001;
}
.navMobile h3 {
	font-weight: 800;
	padding-bottom: 1.5rem;
	padding-top: 1rem;
	border-bottom: 1px solid #dddddd;
}
.navMobile p {
	font-size: 16px;
	font-weight: 800;
	padding: 10px;
	box-shadow:
		1px 1px 2px #dddddd,
		-1px -1px 2px #dddddd;
	transition: 0.3s ease;
	border-radius: 1px;
	display: flex;
	gap: 5px;
	align-content: center;
	align-items: center;
	cursor: pointer;
}
.navMobile p:hover {
	background: #2ab4ff;
	color: #fafafa;
	box-shadow:
		2px 2px 3px #cccccc,
		-2px -2px 3px #cccccc;
}
.first-heading {
	color: #2f2f2f;
	font-weight: 1000;
	font-size: 2.5rem;
	line-height: 2.5rem;
}
.two-heading {
  margin-top: 1rem;
	color: #5f5f5f;
	font-weight: 700;
	font-size: 1.1rem;
	line-height: 1.3rem;
}
.raden-span {
	color: #2ab4ff;
}
.double-span {
	color: #c622e6;
}
.red-span {
  color: #de3d3d;
}
.next-span {
}
.url {
	transition: 0.3s ease;
}
.url:hover {
	opacity: 0.7;
	text-decoration: 1px underline;
}
.box-item {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
  padding: 1rem;
  justify-content: center;
}
.item {
  width: auto;
  max-width: 250px;
  aspect-ratio: 9/1;
  background: #fafafa;
  box-shadow: 1px 1px 2px #dddd, -1px -1px 2px #dddd;
  border-radius: 5px;
}
footer {
	background: #1a1a1a;
	border-top: 2px solid #4a4a4a;
}
.footer {
	max-width: 1200px;
	margin: 0 auto;
	padding: 1rem;
}
.footer-wrap h2,
.footer-wrap h5,
.footer-wrap a {
	margin: 1rem;
	color: #ffffff;
	line-height: 18px;
}
.footer-in h2 {
	font-family: Poppins;
	align-content: center;
	align-items: center;
	position: relative;
	display: flex;
	gap: 8px;
}
.footer-in p {
	color: #dddddd;
	margin: 5px 1rem;
	font-size: 13px;
	font-weight: 700;
	cursor: pointer;
}
.footer-in h5 {
	color: #dddddd;
}
.link-sosmed {
	display: flex;
	gap: 5px;
	margin: 1rem;
}
.link-sosmed p {
	text-align: center;
	align-content: center;
	width: 16px;
	height: 16px;
	border-radius: 32px;
	display: inline-block;
	margin: 0;
	padding: 10px;
	border: 1px solid #dddddd;
	transition: 0.3s ease;
	cursor: pointer;
}
.link-sosmed p:hover {
	color: #1a1a1a;
	background: #ffffff;
}
.backtop {
	padding: 10px;
	text-align: center;
	background: transparent;
	box-shadow:
		2px 2px 2px #dddddd70,
		-1px -1px 2px #dddddd70;
	color: #dddddd;
	background: #1a1a1a;
	font-family: Montserrat;
	font-weight: 700;
	margin: 0 1rem;
	max-width: 120px;
	font-size: 12px;
	transition: 0.4s ease;
}
.backtop:hover {
	color: #1a1a1a;
	background: #ffffff;
	box-shadow:
		2px 2px 2px #5c5c5c,
		-1px -1px 2px #5c5c5c;
}

.copyright {
	border-top: 1px solid #eaeaea40;
	margin-top: 1rem;
	padding: 1rem;
	text-align: center;
}
.copyright h5 {
	color: #fafafa;
}

.orb {
	position: fixed;
	pointer-events: none;
	z-index: 9999;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: radial-gradient(circle at 30% 30%, #fff, #7c3aed);
	box-shadow: 0 6px 18px rgba(124, 58, 237, 0.18);
	transform: translate(-50%, -50%) scale(1);
	opacity: 0.95;
	transition:
		transform 420ms cubic-bezier(0.2, 0.9, 0.28, 1),
		opacity 600ms;
}

@media (max-width: 768px) {
	.navPc {
		display: none;
	}
	.footer-in h2 {
		margin: 3rem 1rem 1rem 1rem;
	}
}
@media (min-width: 769px) {
	.hamburger {
		display: none;
	}
	.box p {
		font-size: 16px;
		font-weight: 700;
		color: #4a4a4a;
	}
	.box-item {
	  grid-template-columns: repeat(auto-fit, 200px);
	  justify-content: center;
	  max-width: 1200px;
	  margin: 0 auto;
	}
	.item {
	  max-width: 260px;
	  width: 250px;
	}
	.footer {
		display: flex;
		justify-content: space-around;
	}
	.footer-kanan {
		display: flex;
	}
	.footer-in {
		max-width: 300px;
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	50% {
		transform: rotate(180deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

img, video {
  pointer-events: none;
	user-select: none;
}